### Enumeration

# FwupdPlugin UdevDeviceFlags

since: 1.0

#### Declaration

    flags FwupdPlugin.UdevDeviceFlags

#### Description [src]

Flags used when opening the device using fu_device_open().

Available since: 1.0

#### Members

`FU_UDEV_DEVICE_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_UDEV_DEVICE_FLAG_OPEN_READ`

  Open the device read-only.

  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_UDEV_DEVICE_FLAG_OPEN_WRITE`

  Open the device write-only.

  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_UDEV_DEVICE_FLAG_VENDOR_FROM_PARENT`

  Get the vendor ID from a parent or grandparent.

  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_UDEV_DEVICE_FLAG_USE_CONFIG`

  Read and write from the device config.

  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_UDEV_DEVICE_FLAG_OPEN_NONBLOCK`

  Open nonblocking, e.g. O_NONBLOCK.

  - Value: `16`
  - Nickname: `None`
  - Available since: 1.0
`FU_UDEV_DEVICE_FLAG_OPEN_SYNC`

  Open sync, e.g. O_SYNC.

  - Value: `32`
  - Nickname: `None`
  - Available since: 1.0
`FU_UDEV_DEVICE_FLAG_IOCTL_RETRY`

  Retry the `ioctl()` call when required.

  - Value: `64`
  - Nickname: `None`
  - Available since: 1.0